:root {
	--main-padding: 0 15px;
	--social-size: 60px;
	--btn-height: 64px;
	--btn-width: calc(100% - 30px);
	--btn-offset: 15px;
	--btn-padding: 0 36px;
	--top-height: 80px;
	--footer-padding: 30px 15px;
	--header-padding: 15px;
	--sites-item-margin: 15px;
	--font-size: 14px;
	--container-width: 1800px;
	--logo_width: 140px;
	--small-container-w: 1430px;
}

body {
	margin: 0;
	font-family: 'Inter';
	font-style: normal;
	color: #000000;
	font-weight: 400;
	font-size: var(--font-size);
	line-height: 1.2;
}
a {
	color: #7c200e;
	text-decoration: none;
}
p {
	margin: .5rem 0;
}
h1 {
	font-family: 'Inter Tight';
	font-weight: 700;
	font-size: 24px;
	line-height: 113.5%;
	letter-spacing: 0.015em;
}

.text-yellow {
	color: #FFD000;
}
.text-uppercase {
	text-transform: uppercase;
}

.btn {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	font-size: 1.2em;
	font-weight: 400;
	color: inherit;
	text-decoration: none;
	padding: var(--btn-padding);
	box-sizing: border-box;
	min-width: var(--btn-width);
	height: var(--btn-height);
	cursor: pointer;
}
.btn.btn-yellow {
	border: none;
	background: #F3CD20;
	color: #000;
	transition: background .5s;
    animation-duration: 5s;
    animation-iteration-count: infinite;
    animation-name: bounce;
    animation-timing-function: ease;
}
.btn.btn-yellow::after{
	content: url('../img/arrow.svg');
	margin-left: 1em;
	transition: transform .3s;
}
.btn.btn-yellow:hover {
	background: #DBB225;
	text-decoration: none;
}
@keyframes bounce {
  0%  {
  	background-image: linear-gradient(90deg, rgba(255,255,255,.4) 0%, rgba(255,255,255,.3) 3%, transparent 5%, transparent 100%);
		background-size: 200%;
  	background-position-x: left 0%;
  }
  10% { background-position-x: left -100%; }
  100% { background-position-x: left -100%; }
}

.top {
	padding: var(--main-padding);
	display: grid;
	min-height: var(--top-height);
	max-width: var(--container-width);
}
.top__left {
	width: var(	--logo_width);
	display: flex;
	height: var(--top-height);
}
.top__logo {
	width: 100%;
	height: 100%;
	object-fit: contain;
}
.top__right {
	display: flex;
	gap: 40px;
	align-items: center;
	justify-content: flex-end;
}
.top__phone {
	font-size: 1.2em;
}
.top__phone a {
	color: inherit;
}
.top__phone a:hover {
	color: #7c200e;
}

.top__bottom {
	grid-column-start: 1;
	grid-column-end: 3;
	border-top: 1px solid #DDDDDD;
	padding: 12px 0;
}
.btn.btn-primary {
	border: 1px solid #787878;
	min-width: 100%;
}
.btn.btn-primary:hover {
	color: white;
	background-color: #323232;
}

.social {
	display: flex;
	align-items: center;
	gap: calc(var(--social-size)/2);
}
.social.social--footer {
	padding: var(--footer-padding);
	justify-content: center;
}
.social__link {
	display: flex;
	color: inherit;
}
.social__icon {
	width: var(--social-size);
	height: var(--social-size);
}
.social__icon:hover {
	transform: scale(1.2);
}
.social__icon-ok:hover {
	color: rgb(255, 119, 0);
}
.social__icon-vk:hover {
	color: rgb(74, 118, 168);
}
.social__icon-instagram:hover {
	color: #E4405F;
}

.joombotron__container {
	position: relative;
	color: #FFFFFF;
	width: 100%;
	max-width: var(--container-width);
	box-sizing: border-box;
	background-color: #323232;
	overflow: hidden;
	min-height: 830px;
	padding: 30px;
	display: grid;
}
.joombotron__header {
	margin-top: 0;
}
.joombotron__footer {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: column-reverse;
	gap: 30px
}
.joombotron__body {
	z-index: 1;
	position: relative;
	max-width: 100%;
	display: grid;
	height: 100%;
	grid-template-rows: min-content auto min-content;
}
.joombotron__container:after {
	position: absolute;
	content: "";
	background-image: url('../img/action.png');
	background-size: 100% 100%;
	bottom: 120px;
	right: 70px;
	transform-origin: top right;
	transform: rotate(-57deg);
	width: 323px;
	height: 424px
}
.joombotron__button {
	width: 100%;
}
.joombotron__body:after {
	position: absolute;
	content: "";
	background-image: url('../img/action-barrel.png');
	background-size: 100% 100%;
	left: 10px;
	top: 50%;
	transform: translateY(-70%);
	width: 213px;
	height: 264px;
}

.info {	
	display: flex;
	justify-content: center;
}
.info__container {
	max-width: var(--small-container-w);
}
.info__picture {
	display: flex;
}
.info__picture img {
	max-width: 100%;
	object-fit: cover;
}
.info__text {
	font-weight: 400;
	font-size: 20px;
	line-height: 24px;
	color: #323232;
	padding: 30px 15px;
}
.info__text strong {
	font-weight: 600;
}

.request {	
	display: flex;
	justify-content: center;
}
.request__container {
	max-width: var(--container-width);
	display: grid;
	gap: 30px;
	padding: 0 15px;
}
.request__header {
	font-weight: 400;
	font-size: 20px;
	line-height: 24px;
	text-transform: uppercase;
	color: #323232;
	margin-top: 0;
}
.request__banner {
	display: inline-flex;
	justify-content: center;
}
.request__banner img {
	max-width: 100%;
	object-fit: cover;
}
.request__info {
	display: grid;
	grid-template-rows: min-content auto min-content;
}


.action-form__group {
	margin: 30px 0;
}
.action-form__submit {
	margin-top: 30px;
}
.action-form__input {
	padding: 23px 34px;
	height: 65px;
	border: 1px solid #787878;
	font-weight: 400;
	font-size: 16px;
	line-height: 19px;
	color: #7D7D7D;
	box-sizing: border-box;
	width: 100%;
}

.about {
	background-color: #E9E9E9;
	display: flex;
	flex-direction: column;
	gap: 20px;
	padding: 20px;
	margin-bottom: 80px;
	align-items: center
}
.about__content {
	color: #323232;
	font-weight: 400;
	font-size: 18px;
	line-height: 22px;
}
.about__logo img {
	max-width: 100%;
}
.about__title {
	font-weight: 600;
	font-size: 20px;
	line-height: 24px;
	text-transform: uppercase;
}
.action-form__button {
	width: 100%;
}

.time {
	margin-top: 60px;
	margin-bottom: 60px;
	color: #323232;
}
.time__header {
	font-weight: 400;
	font-size: 20px;
	line-height: 24px;
	color: #323232;
	margin-bottom: 10px;
}
.time__content {
	display: flex;
	justify-content: space-between;
	gap: 12px;
}
.time__block {
	flex-basis: 25%;
	border: 1px solid #787878;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	aspect-ratio: 1/1;
	color: #787878;
	position: relative;
}
.time__block:not(:last-child)::after {
	content: ":";
	position: absolute;
	top: 50%;
	transform: translate(50%, -50%);
	right: -6px;
	color: #323232;
	font-size: 20px;
	font-weight: 600;
}
.time__block p {
	margin: 0;
}
.time__value {
	font-weight: 400;
	font-size: 20px;
	line-height: 24px;
	color: #7D7D7D;
}
.time__part {;
	font-weight: 400;
	font-size: 8px;
	line-height: 10px;
	color: #7D7D7D;
}

.sites {
	padding: var(--main-padding);
	max-width: var(--container-width);
	margin: 0 auto;
	display: grid;
}
.sites__item {
	position: relative;
}
.sites__item:nth-last-child(n + 2) {
	margin-bottom: var(--sites-item-margin);
}
.sites__body a:hover {
	text-decoration: underline;
}
.sites__header {
	font-size: 1.65em;
	line-height: 1.3;
	font-weight: 400;
	border-bottom: 1px solid currentColor;
	margin: 0;
	padding: var(--header-padding) 0;
	width: 100%;
	box-sizing: border-box;
}
p.error {
	color: red;
}
input.error {
	border-color: red;
}


/* RESPONSIVE PART */
/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
	:root{
		--btn-height: 72px;
		--btn-width: 342px;
		--btn-offset: 32px;
		--btn-padding: 0 54px;
		--logo_width: 224px;
	}
	.time__header {
		font-size: 24px;
		line-height: 29px;
		margin-bottom: 25px;
	}
	.time__content {
		gap: 24px;
	}
	.time__block:not(:last-child)::after {
		right: -12px;
		font-size: 30px;
	}
	.time__value {
		font-size: 48px;
		line-height: 58px;
	}
	.time__part {
		font-size: 20px;
		line-height: 24px;
	}
}

/*  */
.popup__bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    pointer-events: none;
    transition: 0.5s all;
}

.popup__bg.active {
    opacity: 1;
    pointer-events: all;
    transition: 0.5s all;
}

.popup {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    background: #fff;
    width: 400px;
    padding: 25px;
    transition: 0.5s all;
}

.popup.active {
    transform: translate(-50%, -50%) scale(1);
    transition: 0.5s all;
}

.popup__body {
	padding-top: 25px;
	color: #323232;
	text-align: center;
}

.close-popup {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
	width: 26px;
	height: 26px;
	color: #323232;
}
/*  */

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
	h1 {
		font-size: 32px;
	}
	.top {
		grid-auto-columns: auto max-content max-content;
		gap: 50px;
	}
	.top__bottom {
		grid-column-start: 3;
		align-self: center;
		border: none;
		padding: 0;
	}
	.btn.btn-primary {
		min-width: auto;
	}

	.joombotron {
		display: flex;
		justify-content: center;
		font-weight: 400;
		font-size: 24px;
		line-height: 29px;
	}
	.joombotron__container {
		padding: 46px;
		min-height: 810px;
	}
	.joombotron__container:after {
		top: 20px;
		right: -100px;
		transform: rotate(-33deg);
		width: 473px;
		height: 623px;
	}
	.joombotron__body {
		max-width: 650px;
	}
	.joombotron__body:after {
		top: 50%;
		transform: translateY(-25%);
    	width: 300px;
    	height: 371px;
	}
	.joombotron__content {
		max-width: 485px;
	}
	.joombotron__footer {
		flex-direction: row;
	}
	.joombotron__button {
		width: initial;
	}

	.info__text {
		font-size: 40px;
		line-height: 48px;
		padding: 50px 20px;
	}

	.about {
		padding: 50px;
	}
	.about__logo {
		flex-shrink: 0;
	}
	.about__title {
		font-size: 48px;
		line-height: 58px;
	}
	.about__content {
		font-size: 24px;
		line-height: 29px;
	}

	.request__header {
		font-size: 40px;
		line-height: 48px;
	}

	.action-form__input {
		height: 75px;
		font-size: 24px;
		line-height: 29px;
		padding: 23px 54px;
	}

	.time {
		margin-bottom: 0;
	}

	.sites__body {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(50%, auto));
	}
	.sites__header {
		padding: var(--header-padding);
	}
	.sites__addr {
		padding: 1rem 0;
	}
	.sites__addr:not(:only-of-type):first-child {
		border-right: 1px solid #000;
	}
	.sites__addr:not(:first-child) {
		padding-left: 30px;
	}
	.sites__addr:not(:last-child) {
		padding-right: 30px;
	}
}

@media only screen and (max-width: 992px) {
	.social.social--top {
		display: none
	}
	.sites__addr {
		border-bottom: 1px solid #000;
	}
}
/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
	:root {
		--social-size: 30px;
		--main-padding: 0 30px;
		--header-padding: 30px 0;
		--sites-item-margin: 0;
		--font-size: 14px;
		--logo_width: 280px;
		--sites-item-margin: 56px;
	}

	.about {
		flex-direction: row;
		padding: 75px 50px;
	}

	.joombotron__container:after {
		right: 20px;
	}

	.sites {
		display: grid;
		gap: 30px;
		grid-template-columns: repeat(auto-fit, minmax(420px, 1fr));
	}
	.sites__header {;
		letter-spacing: -1.5px;
		white-space: nowrap;
		position: static;
		color: black;
	}

	.social.social--footer {
		display: none
	}
}
/* Extra large devices (large laptops and desktops, 1200px and up) */
@media screen and (min-width: 1200px) {
	:root {
		--main-padding: 0 40px;
		--top-height: 120px;
		--font-size: 16px;
	}
	.joombotron__container:after {
		right: 100px;
	}
}
/* Extra large devices (large laptops and desktops, 1400px and up) */
@media screen and (min-width: 1400px) {
	:root {
		--font-size: 18px;
	}
	.request__container {
		grid-template-columns: 1fr 1fr;
		width: 100%;
		box-sizing: content-box;
	}
}
/* Extra large devices (large laptops and desktops, 1400px and up) */
@media screen and (min-width: 1600px) {
	:root {
		--main-padding: 0 60px;
		--font-size: 20px;
	}
	h1 {
		font-size: 48px;
	}
	.joombotron__container:after {
		top: 20px;
		right: 190px;
		transform: rotate(-23deg);
		width: 631px;
		height: 830px;
	}
	.joombotron__body {
		max-width: 1000px;
	}
	.joombotron__body:after {
		right: 100px;
		left: auto;
		transform: translateY(-45%);
		width: 400px;
		height: 495px;
	}
}
